export default {
	data() {
		return {}
	},
	//分享小程序
	onShareAppMessage(e) {
		if (e.from === 'button') {
			console.log('来自页面内转发按钮');
		} else if (e.from === 'menu') {
			console.log('右上角菜单转发按钮');
		}
		return {
			// 自定义分享内容
			title: 'xxxx',
			desc: 'xxxxxx',
			path: '/pages/index/index', // 路径，可传递参数到指定页面
			imageUrl: 'https://xxxxxx.com.cn'
		};
	},
	// 分享到朋友圈
	onShareTimeline() {
		return {
			title: 'xxxxx',
			path: '/pages/index/index',
			imageUrl: 'https://xxxxxx.com.cn'
		};
	},
}
